        @echo.
        @echo Check if 'cvs update -kb' has been done:
        @rm junk.bat
        @echo grep.exe was found so we can check > junk.bat
        @grep -P found junk.bat
        @if errorlevel 1 goto NOGREP
        grep -P \r\r -U configure.bat > nul
        @if errorlevel 1 goto GREP1
        @if errorlevel 0 goto GREP0
        @echo.
        @echo Warning: could not check if 'cvs update -kb' had been done. Please see nt\INSTALL for details.
:NOGREP
        @echo.
        @echo Warning: Can't check 'cvs update -kb' because GNU 'grep' is not found. Please see nt\INSTALL for details.
        @goto GREP1
:GREP0
        @echo.
        @echo You need to do 'cvs update -kb'. Please see nt\INSTALL for details.
        @goto END
:GREP1
        @echo.
        @echo Seems like 'cvs update -kb' has been done.
:CHKFIND
        @echo.
        @echo Checking for unix 'find'

        find --help > nul
        @if errorlevel 1 goto NOUXFIND
        @echo.
        @goto CHKXARGS
:NOUXFIND
        @echo You need unix style 'find' to build Emacs (is MS Windows 'find' first in path?)
        @goto END
:CHKXARGS
        @echo Checking for 'xargs'
        xargs --help > nul
        @if errorlevel 1 goto NOXARGS
        @goto END
:NOXARGS
        @echo You need 'xargs' to build Emacs
        @goto END
:END

